solved Cpanel - PHP 7 Proxima Problem.

serveion
@serveion
4 years ago
223 posts
Hello JR

I was bored this morning jamroom was running slow, so i decided i was going to upgrade my cpanel to the laters php 7.2 there was a problem i when down to 7.0. after a few jamroom required configuration everything seemed to be working fine. speed Increase 110%

but i totally forgot about my app. (My World Ended lol) I open my app and no data was showing. I when back to jamroom everything seem ok.
this is the problem we found

{
	"code": 401,
	"text": "Unauthorized",
	"note": "invalid application key"
}

well I though somehow the key got corrupted, we created a new key. nothing. integrity check nothing.
so cpanel have this beautiful tool "MultiPHP Manager" and I setup my php to the old one 5.6
boom. (imagine my smile ear to ear) the app was working again.
so my question is following.

if i transition from php 5.6 to php 7 do i have to do some special love to mu server. or the way key encryption got mess up with php 7

thank you.
updated by @serveion: 28 Aug 2018 03:46:08PM
brian
@brian
4 years ago
10,007 posts
Are you sure when you updated to 7.2 that you had all the PHP features enabled? I develop on PHP 7.2 and see no issues with Proxima here.


--
Brian Johnson
Founder and Lead Developer - Jamroom
https://www.jamroom.net
serveion
@serveion
4 years ago
223 posts
brian:
Are you sure when you updated to 7.2 that you had all the PHP features enabled? I develop on PHP 7.2 and see no issues with Proxima here.

The problem is with 7.0

what you mean PHP features enabled?. System Check does that check all the featured needed, I enable everything, do i need to enable something else on php no specify in jamroom system check?

updated by @serveion: 05 Mar 2018 12:00:15PM
brian
@brian
4 years ago
10,007 posts
I test on all PHP versions pretty much on and off: 5.3, 5.4, 5.6, 7.0, 7.1 and 7.2.

I just switched to 7.0.27 and ran through the entire set of Proxima unit tests without issue.


--
Brian Johnson
Founder and Lead Developer - Jamroom
https://www.jamroom.net
serveion
@serveion
4 years ago
223 posts
I ran on 7.2 and this is what jamroom error is telling me

error: jrCore_checktype: unable to load checktype plugins
brian
@brian
4 years ago
10,007 posts
This means the modules/jrCore/lib/checktype.php file could not be found. Make sure and restart the web server after changing PHP versions - it's likely the opcode cache that needs resetting.


--
Brian Johnson
Founder and Lead Developer - Jamroom
https://www.jamroom.net
serveion
@serveion
4 years ago
223 posts
brian:
This means the modules/jrCore/lib/checktype.php file could not be found. Make sure and restart the web server after changing PHP versions - it's likely the opcode cache that needs resetting.

I did restart so that why i set up 7.0 everything works except proxima
brian
@brian
4 years ago
10,007 posts
I can't tell you that - I see no issues here so I suspect something was missed in your PHP 7 setup.


--
Brian Johnson
Founder and Lead Developer - Jamroom
https://www.jamroom.net
serveion
@serveion
4 years ago
223 posts
I have attach the phpinfo may be i'm missing something
pdf
phpinfo.pdf  •  531KB

serveion
@serveion
4 years ago
223 posts
@brian I think i fix it already.

i was running this build on cpanel "All PHP Options + OpCache"
then i found this
Warnings:

EasyApache 4 does not currently support any opcode cacher other than OPCache.
Opcode caching programs are not compatible with the suPHP or CGI PHP handlers. The caching program either does not function, or functions incorrectly.
The system does not automatically configure OPCache. If you do not manually configure OPCache after you install it, it will provide no benefits.
We strongly recommend the DSO PHP handler for the OPCache opcode cacher.
Do not install multiple PHP caching programs on the same system. Multiple opcode caching programs consume excessive memory and degrade system performance.

i when back and rebuild my setup with "All PHP Options + ZendGuard"
seems to be working i need to reconfigure everything.

let me do some test and update the post if i found anything wrong.

information page:
https://documentation.cpanel.net/display/EA4/PHP+Options

updated by @serveion: 05 Mar 2018 12:40:00PM
serveion
@serveion
4 years ago
223 posts
OpCache was setup was causing some type of problem i removed it and everything is working correctly. i also added ionCube Loader 10.

I'm happy now

thank you for your answers that make me look somewhere else and try something different.
updated by @serveion: 05 Mar 2018 12:54:03PM
brian
@brian
4 years ago
10,007 posts
Jamroom does not use IonCube, so if you're only running JR on the server you can turn that off.

Glad you got it sorted.

Thanks!


--
Brian Johnson
Founder and Lead Developer - Jamroom
https://www.jamroom.net
serveion
@serveion
4 years ago
223 posts
brian:
Jamroom does not use IonCube, so if you're only running JR on the server you can turn that off.

Glad you got it sorted.

Thanks!

1,493 total core. 600 before i did the server upgrade. I just need a SSD to speed everything up even more.

thank you. again
Intro2Music
Intro2Music
@intro2music
4 years ago
110 posts
Interesting post @serveion I'm glad I read it before changing one of my servers to EasyApache 4.

Glad to see you got it sorted out without too much trouble.

Mick
SteveX
SteveX
@ultrajam
4 years ago
2,580 posts
serveion:
I was bored this morning...
...so i decided i was going to upgrade my cpanel...
...but i totally forgot about my app. .

Never upgrade anything because you are bored. Only update your server according to a plan.

Your server upgrade plan should be written around your app. Don’t forget about .your app.


--
¯\_(ツ)_/¯ Education, learning resources, TEL, AR/VR/MR, CC licensed content, panoramas, interactive narrative, sectional modules (like jrDocs), lunch at Uni of Bristol. Get in touch if you share my current interests or can suggest better :)

Tags